JavaScript/jQuery Accordion - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
↑ or PageUp | Sets focus to the previous panel. |
↓ or PageDown | Sets focus to the next panel. |
Home | Sets focus to the first panel. |
End | Sets focus to the last panel. |
Enter | Expands the focused panel. |
Space | Collapses the focused panel. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const accordion = $("#accordionContainer").dxAccordion("instance");
- accordion.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- accordion.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Accordion - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
↑ or PageUp | Sets focus to the previous panel. |
↓ or PageDown | Sets focus to the next panel. |
Home | Sets focus to the first panel. |
End | Sets focus to the last panel. |
Enter | Expands the focused panel. |
Space | Collapses the focused panel. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
App.js
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { Accordion } from 'devextreme-react/accordion';
- class App extends React.Component {
- constructor(props) {
- super(props);
- this.accordionRef = React.createRef();
- }
- render() {
- return (
- <Accordion ref={this.accordionRef} />
- );
- }
- get accordion() {
- return this.accordionRef.current.instance;
- }
- componentDidMount() {
- this.accordion.registerKeyHandler('backspace', function(e) {
- // The argument "e" contains information on the event
- });
- this.accordion.registerKeyHandler('space', function(e) {
- // ...
- });
- }
- }
- export default App;
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout
- Accordion Demos
- Accordion API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.